TAU_GLOBAL_PHASE_STA(3)

NAME
TAU_GLOBAL_PHASE_START - Starts a global phase

SYNOPSIS

C/C++:

TAU_GLOBAL_PHASE_START(Phase phase);

DESCRIPTION

TAU_GLOBAL_PHASE_START starts a global phase.

EXAMPLE

C/C++ :

/* f1.c */
TAU_GLOBAL_PHASE(globalPhase, "global phase", "", TAU_USER);
/* f2.c */
int bar(void) {
  TAU_GLOBAL_PHASE_START(globalPhase);
  /* ... */
  TAU_GLOBAL_PHASE_STOP(globalPhase);
}

SEE ALSO

TAU_GLOBAL_PHASE(3), TAU_GLOBAL_PHASE_EXTERNAL(3), TAU_GLOBAL_PHASE_STOP(3)